List podcast episodes OAuth Scope: podcasts:read
List podcast episodes OAuth Scope: podcasts:read
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.
Offset-based pagination (deprecated): Page number for offset-based pagination. Please migrate to cursor-based pagination using the cursor parameter.
Optionally filter the results by the status of the episode.draft - Not yet published.scheduled - Scheduled for future publication.published - Available via web and RSS.archived - No longer available via web or RSS.
The field that the results are sorted by. Defaults to displayed_datecreated - The time in which the episode was first created.updated - The time the episode was last updated.publish_date - The exact time the system published the episode (when it went live), not the scheduled time the user set.displayed_date - The time displayed in place of the publish_date. Uses a custom display date if set, otherwise the scheduled time the user set for publication, otherwise the publish_date, otherwise the creation date. For imported episodes, the original feed’s pubDate is stored as the custom display date. This is the same field used to order episodes in the podcast’s RSS feed.
The direction that the results are sorted in. Defaults to desc
asc - Ascending, sorts from smallest to largest.
desc - Descending, sorts from largest to smallest.
Response
Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.
Offset pagination only: The total number of pages. Only present when using deprecated offset-based pagination.
Cursor pagination only: Indicates whether there are more results available after the current page. Only present when using cursor-based pagination.
Cursor pagination only: The cursor token to use for fetching the next page of results. Null when has_more is false. Only present when using cursor-based pagination.